All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class CellContentsSimpleTemplateRendererTag

    com.sas.taglib.servlet.tbeans.tableview.CellContentsSimpleTemplateRendererTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class CellContentsSimpleTemplateRendererTag

CellContentsSimpleTemplateRendererTag is the tag handler class for the sas:CellContentsSimpleTemplateRenderer custom tag . CellContentsSimpleTemplateRendererTag is invoked by the JSP page to evaluate the sas:CellContentsSimpleTemplateRenderer custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, CellContentsSimpleTemplateRenderer, to execute the methods.

If you need to extend or modify the functionality of the sas:CellContentsSimpleTemplateRenderer custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:CellContentsSimpleTemplateRenderer custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`CellContentsSimpleTemplateRendererTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the basic attributes (request,name,prolog,epilog) common to all Transformation Beans.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getNullTextString()` Gets the nullTextString attribute (String) value to be written when the cell text is null.
`java.lang.String` | `getTemplateDictionary()` Returns the object used to specify the template dictionary for this CellContentsRenderer.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isEncodeText()` Gets the encodeText attribute (boolean) indicating whether the cell text will be encoded using com.sas.util.Strings.quoteForXML.
`void` | `setEncodeText(boolean encodeText)` Sets the encodedText attribute (boolean) of the CellContentsSimpleTemplateRendererTag indicating whether the cell text will be encoded using com.sas.util.Strings.quoteForXML.
`void` | `setNullTextString(java.lang.String nullTextString)` Sets the nullTextString attribute (String) written when the cell text is null.
`void` | `setTemplateDictionary(java.lang.String dictionary)` Sets the object used to specify the template dictionary for this CellContentsRenderer.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### CellContentsSimpleTemplateRendererTag

    public CellContentsSimpleTemplateRendererTag()

Method Detail

### getTemplateDictionary

    public java.lang.String getTemplateDictionary()

  Returns the object used to specify the template dictionary for this CellContentsRenderer.

  Returns:
    the object used to specify the template dictionary for this CellContentsRenderer

### setTemplateDictionary

    public void setTemplateDictionary(java.lang.String dictionary)

  Sets the object used to specify the template dictionary for this CellContentsRenderer.

  Parameters:
    `dictionary` - The java.util.HashMap object used to specify the template dictionary for this CellContentsRenderer

### setEncodeText

    public void setEncodeText(boolean encodeText)

  Sets the encodedText attribute (boolean) of the CellContentsSimpleTemplateRendererTag indicating whether the cell text will be encoded using com.sas.util.Strings.quoteForXML. The default is set to true. Valid values are: true, false.

  Parameters:
    `encodeText` - Flag indicating whether to set text encoding.

### setNullTextString

    public void setNullTextString(java.lang.String nullTextString)

  Sets the nullTextString attribute (String) written when the cell text is null. The default is null.

  Parameters:
    `nullTextString` - The String to be written when the text is null

### isEncodeText

    public boolean isEncodeText()

  Gets the encodeText attribute (boolean) indicating whether the cell text will be encoded using com.sas.util.Strings.quoteForXML. The default is set to True.

  Returns:
    True if the text is to be encoded.

### getNullTextString

    public java.lang.String getNullTextString()

  Gets the nullTextString attribute (String) value to be written when the cell text is null. The default is null.

  Returns:
    The String to be written when the text is null

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the basic attributes (request,name,prolog,epilog) common to all Transformation Beans.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Parameters:
    `baseTag` - Any class which extends BaseTransformation is valid
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.